/*
 Navicat Premium Data Transfer

 Source Server         : mysql.localhost
 Source Server Type    : MySQL
 Source Server Version : 50511
 Source Host           : localhost
 Source Database       : teadata.mysql

 Target Server Type    : MySQL
 Target Server Version : 50511
 File Encoding         : utf-8

 Date: 05/08/2011 06:12:11 AM
*/

SET NAMES utf8;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
--  Table structure for `Product`
-- ----------------------------
DROP TABLE IF EXISTS `Product`;
CREATE TABLE `Product` (
  `prod_Id` int(11) NOT NULL AUTO_INCREMENT,
  `prod_Name` varchar(100) NOT NULL,
  `prod_Comments` text,
  `prod_CreateTime` char(14) NOT NULL,
  `prod_UpdateTime` char(14) NOT NULL,
  `prod_CreateUser` int(11) NOT NULL,
  `prod_UpdateUser` int(11) NOT NULL,
  `prod_Version` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`prod_Id`),
  KEY `prod_Name` (`prod_Name`),
  KEY `prod_CreateUser` (`prod_CreateUser`),
  KEY `prod_UpdateUser` (`prod_UpdateUser`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- ----------------------------
--  Records of `Product`
-- ----------------------------
BEGIN;
INSERT INTO `Product` VALUES ('1', 'Quartam Reports for LiveCode', 'The essential report generator for LiveCode Desktop', '20110428001954', '20110428001954', '1', '1', '1'), ('2', 'Quartam PDF Library for LiveCode', 'Go beyond \'print to pdf\' - now open source under a dual license.', '20110428002040', '20110428002040', '1', '1', '1'), ('3', 'A test for versions', null, '20110428054504', '20110428054504', '1', '1', '3');
COMMIT;

-- ----------------------------
--  Table structure for `TicketLog`
-- ----------------------------
DROP TABLE IF EXISTS `TicketLog`;
CREATE TABLE `TicketLog` (
  `tlog_Id` int(11) NOT NULL AUTO_INCREMENT,
  `tlog_Ticket` int(11) NOT NULL,
  `tlog_Text` text NOT NULL,
  `tlog_Comments` text,
  `tlog_OldStatus` int(11) NOT NULL,
  `tlog_NewStatus` varchar(45) NOT NULL,
  `tlog_CreateTime` char(14) NOT NULL,
  `tlog_UpdateTime` char(14) NOT NULL,
  `tlog_CreateUser` int(11) NOT NULL,
  `tlog_UpdateUser` int(11) NOT NULL,
  `tlog_Version` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`tlog_Id`),
  KEY `tlog_Ticket` (`tlog_Ticket`),
  KEY `tlog_CreateUser` (`tlog_CreateUser`),
  KEY `tlog_UpdateUser` (`tlog_UpdateUser`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

-- ----------------------------
--  Records of `TicketLog`
-- ----------------------------
BEGIN;
INSERT INTO `TicketLog` VALUES ('1', '1', 'Carry on - nothing to see here...', null, '1', '1', '20110428065555', '20110428065555', '1', '1', '1'), ('2', '1', 'Closin this ticket - everything should be working by now (Famous Last Words?)', null, '1', '4', '20110428065709', '20110428065709', '1', '1', '1'), ('3', '2', 'What happened?', null, '1', '2', '20110428122744', '20110428122744', '1', '1', '1'), ('4', '2', 'Narf!', null, '1', '4', '20110428122911', '20110428122911', '1', '1', '1'), ('5', '2', 'Murf?', null, '1', '4', '20110428123059', '20110428123059', '1', '1', '1'), ('6', '2', 'Close already, darnit!', null, '1', '4', '20110428123236', '20110428123236', '1', '1', '1'), ('7', '2', 'And will it close?', null, '1', '4', '20110428123707', '20110428123707', '1', '1', '1');
COMMIT;

-- ----------------------------
--  Table structure for `Ticket`
-- ----------------------------
DROP TABLE IF EXISTS `Ticket`;
CREATE TABLE `Ticket` (
  `tick_Id` int(11) NOT NULL AUTO_INCREMENT,
  `tick_Contact` int(11) NOT NULL,
  `tick_Product` int(11) DEFAULT NULL,
  `tick_ShortDescription` varchar(100) NOT NULL,
  `tick_LongDescription` text,
  `tick_Comments` text,
  `tick_Status` int(11) NOT NULL,
  `tick_CreateTime` char(14) NOT NULL,
  `tick_UpdateTime` char(14) NOT NULL,
  `tick_CreateUser` int(11) NOT NULL,
  `tick_UpdateUser` int(11) NOT NULL,
  `tick_Version` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`tick_Id`),
  KEY `tick_Contact` (`tick_Contact`),
  KEY `tick_Product` (`tick_Product`),
  KEY `tick_CreateUser` (`tick_CreateUser`),
  KEY `tick_UpdateUser` (`tick_UpdateUser`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
--  Records of `Ticket`
-- ----------------------------
BEGIN;
INSERT INTO `Ticket` VALUES ('1', '2', '0', 'RunRevLive.11 progress', 'Is everything working already?', null, '4', '20110428063212', '20110428063212', '1', '1', '1'), ('2', '2', '0', 'There is a bug', null, null, '4', '20110428113656', '20110428123724', '1', '1', '1');
COMMIT;

-- ----------------------------
--  Table structure for `User`
-- ----------------------------
DROP TABLE IF EXISTS `User`;
CREATE TABLE `User` (
  `user_Id` int(11) NOT NULL AUTO_INCREMENT COMMENT '	',
  `user_LoginName` varchar(45) NOT NULL,
  `user_CreateTime` char(14) NOT NULL,
  `user_UpdateTime` char(14) NOT NULL,
  `user_CreateUser` int(11) NOT NULL DEFAULT '1',
  `user_UpdateUser` int(11) NOT NULL DEFAULT '1',
  `user_Version` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`user_Id`),
  KEY `user_LoginName` (`user_LoginName`),
  KEY `user_CreateUser` (`user_CreateUser`),
  KEY `user_UpdateUser` (`user_UpdateUser`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
--  Records of `User`
-- ----------------------------
BEGIN;
INSERT INTO `User` VALUES ('1', 'admin', '201104271515', '201104271515', '1', '1', '1');
COMMIT;

-- ----------------------------
--  Table structure for `Contact`
-- ----------------------------
DROP TABLE IF EXISTS `Contact`;
CREATE TABLE `Contact` (
  `cont_Id` int(11) NOT NULL AUTO_INCREMENT,
  `cont_Name` varchar(60) NOT NULL,
  `cont_Email` varchar(100) DEFAULT NULL,
  `cont_phone` varchar(45) DEFAULT NULL,
  `cont_Comments` text,
  `cont_CreateTime` char(14) NOT NULL,
  `cont_UpdateTime` char(14) NOT NULL,
  `cont_CreateUser` int(11) NOT NULL,
  `cont_UpdateUser` int(11) NOT NULL,
  `cont_Version` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`cont_Id`),
  KEY `cont_Name` (`cont_Name`),
  KEY `cont_Email` (`cont_Email`),
  KEY `cont_CreateUser` (`cont_CreateUser`),
  KEY `cont_UpdateUser` (`cont_UpdateUser`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
--  Records of `contact`
-- ----------------------------
BEGIN;
INSERT INTO `contact` VALUES ('2', 'Jan Schenkel', 'jan.schenkel@quartam.com', null, 'Author of Quartam Reports & PDF Library for LiveCode.\nPerhaps a bit anal when it comes to architecture...', '20110428002815', '20110428002815', '1', '1', '1');
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
