CREATE TABLE "Contact" ("cont_Id" INTEGER PRIMARY KEY  AUTOINCREMENT NOT NULL ,"cont_Name" CHAR NOT NULL ,"cont_Email" CHAR,"cont_Phone" CHAR,"cont_Comments" TEXT,"cont_CreateTime" DATETIME NOT NULL ,"cont_UpdateTime" DATETIME NOT NULL , "cont_CreateUser" INTEGER NOT NULL , "cont_UpdateUser" INTEGER NOT NULL , "cont_Version" INTEGER NOT NULL DEFAULT 1);
CREATE TABLE "Product" ("prod_Id" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL , "prod_Name" CHAR NOT NULL , "prod_Comments" TEXT, "prod_CreateTime"  DATETIME NOT NULL, "prod_UpdateTime"  DATETIME NOT NULL , "prod_CreateUser" INTEGER NOT NULL , "prod_UpdateUser" INTEGER NOT NULL , "prod_Version" INTEGER NOT NULL DEFAULT 1);
CREATE TABLE "Ticket" ("tick_Id" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL , "tick_Contact" INTEGER NOT NULL , "tick_Product" INTEGER , "tick_ShortDescription" CHAR NOT NULL , "tick_LongDescription" TEXT, "tick_Comments" TEXT, "tick_Status" INTEGER NOT NULL , "tick_CreateTime"  DATETIME NOT NULL, "tick_UpdateTime"  DATETIME NOT NULL , "tick_CreateUser" INTEGER NOT NULL , "tick_UpdateUser" INTEGER NOT NULL , "tick_Version" INTEGER NOT NULL DEFAULT 1);
CREATE TABLE "TicketLog" ("tlog_Id" INTEGER PRIMARY KEY  AUTOINCREMENT NOT NULL ,"tlog_Ticket" INTEGER NOT NULL ,"tlog_Text" TEXT NOT NULL ,"tlog_Comments" TEXT,"tlog_OldStatus" INTEGER NOT NULL ,"tlog_NewStatus" INTEGER NOT NULL ,"tlog_CreateTime" DATETIME NOT NULL ,"tlog_UpdateTime" DATETIME NOT NULL ,"tlog_CreateUser" INTEGER NOT NULL , "tlog_UpdateUser" INTEGER NOT NULL , "tlog_Version" INTEGER NOT NULL DEFAULT 1);
CREATE TABLE "User" ("user_Id" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL  UNIQUE , "user_LoginName" CHAR NOT NULL  UNIQUE , "user_CreateTime" DATETIME NOT NULL , "user_UpdateTime" DATETIME NOT NULL , "user_CreateUser" INTEGER NOT NULL DEFAULT 1, "user_UpdateUser" INTEGER NOT NULL DEFAULT 1, "user_Version" INTEGER NOT NULL DEFAULT 1);
CREATE UNIQUE INDEX "cont_Id" ON "Contact" ("cont_Id" ASC);
CREATE INDEX "cont_Name" ON "Contact" ("cont_Name" ASC);
CREATE INDEX "cont_Email" ON "Contact" ("cont_Email" ASC);
CREATE INDEX "cont_CreateUser" ON "Contact" ("cont_CreateUser" ASC);
CREATE INDEX "cont_UpdateUser" ON "Contact" ("cont_UpdateUser" ASC);
CREATE UNIQUE INDEX "prod_Id" ON "Product" ("prod_Id" ASC);
CREATE INDEX "prod_Name" ON "Product" ("prod_Name" ASC);
CREATE INDEX "prod_CreateUser" ON "Product" ("prod_CreateUser" ASC);
CREATE INDEX "prod_UpdateUser" ON "Product" ("prod_UpdateUser" ASC);
CREATE UNIQUE INDEX "tick_Id" ON "Ticket" ("tick_Id" ASC);
CREATE INDEX "tick_Contact" ON "Ticket" ("tick_Contact" ASC);
CREATE INDEX "tick_Contact_CreateTime" ON "Ticket" ("tick_Contact" ASC, "tick_CreateTime" ASC);
CREATE INDEX "tick_Contact_Status_CreateTime" ON "Ticket" ("tick_Contact" ASC, "tick_Status" ASC, "tick_CreateTime" ASC);
CREATE INDEX "tick_Contact_Status_UpdateTime" ON "Ticket" ("tick_Contact" ASC, "tick_Status" ASC, "tick_UpdateTime" ASC);
CREATE INDEX "tick_Contact_UpdateTime" ON "Ticket" ("tick_Contact" ASC, "tick_UpdateTime" ASC);
CREATE INDEX "tick_Product" ON "Ticket" ("tick_Product" ASC);
CREATE INDEX "tick_Product_Status_CreateTime" ON "Ticket" ("tick_Product" ASC, "tick_Status" ASC, "tick_CreateTime" ASC);
CREATE INDEX "tick_Product_Status_UpdateTime" ON "Ticket" ("tick_Product" ASC, "tick_Status" ASC, "tick_UpdateTime" ASC);
CREATE INDEX "tick_Status" ON "Ticket" ("tick_Status" ASC);
CREATE INDEX "tick_Status_CreateTime" ON "Ticket" ("tick_Status" ASC, "tick_CreateTime" ASC);
CREATE INDEX "tick_Status_UpdateTime" ON "Ticket" ("tick_Status" ASC, "tick_UpdateTime" ASC);
CREATE INDEX "tick_CreateUser" ON "Ticket" ("tick_CreateUser" ASC);
CREATE INDEX "tick_UpdateUser" ON "Ticket" ("tick_UpdateUser" ASC);
CREATE UNIQUE INDEX "tlog_Id" ON "TicketLog" ("tlog_Id" ASC);
CREATE INDEX "tlog_CreateUser" ON "TicketLog" ("tlog_CreateUser" ASC);
CREATE INDEX "tlog_UpdateUser" ON "TicketLog" ("tlog_UpdateUser" ASC);
CREATE UNIQUE INDEX "user_Id" ON "User" ("user_Id" ASC);
CREATE INDEX "user_CreateUser" ON "User" ("user_CreateUser" ASC);
CREATE INDEX "user_UpdateUser" ON "User" ("user_UpdateUser" ASC);
INSERT INTO "User" VALUES(1,'admin',201104271515,201104271515,1,1,1);
